%define anolis_release 1

%{!?meson_test: %global meson_test %{__meson} test -C %{_vpath_builddir} --num-processes %{_smp_build_ncpus} --print-errorlogs}

Name:           sscg
Version:        3.0.5
Release:        %{anolis_release}%{?dist}
Summary:        Simple Signed Certificate Generator

License:        GPLv3+ with exceptions
URL:            https://github.com/sgallagher/sscg
Source0:        https://github.com/sgallagher/sscg/archive/refs/tags/%{name}-%{version}.tar.gz

Patch0001:      0001-Extend-maximum-DNS-name-to-255.patch

BuildRequires:  gcc libtalloc-devel openssl openssl-devel popt-devel libpath_utils-devel
BuildRequires:  meson ninja-build help2man

%description
A utility to aid in the creation of more secure "self-signed"
certificates. The certificates created by this tool are generated in a
way so as to create a CA certificate that can be safely imported into a
client machine to trust the service certificate without needing to set
up a full PKI environment and without exposing the machine to a risk of
false signatures from the service certificate.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{name}-%{version}


%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test -t 10

%files
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man8/%{name}.8*

%files doc
%doc README.md

%changelog
* Tue Feb 18 2025 Chang Gao <gc-taifu@linux.alibaba.com> - 3.0.5-1
- Update to 3.0.5
- Add patch to extend maximum DNS name to 255 from 63 by default
  [Patches cherry-picked from c10s. Original changelog:
  - Extend maximum DNS name to 256 (3.0.5-9)]

* Mon Apr 10 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> 3.0.3-1
- update version and optimize spec

* Tue Aug 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> 3.0.2-1
- Init from upstream version 3.0.2
